%global srcname Gtk2-SourceView2

Name:           perl-%{srcname}
Version:        0.10
Release:        20%{?dist}
Summary:        Perl bindings for the GtkSourceView 2.x widget
License:        GPLv2+ or Artistic 2.0
URL:            https://metacpan.org/release/%{srcname}
Source0:        https://cpan.metacpan.org/authors/id/P/PO/POTYL/%{srcname}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::Depends)
BuildRequires:  perl(ExtUtils::PkgConfig)
BuildRequires:  perl(Glib::MakeHelper)
BuildRequires:  perl(Gtk2::CodeGen)
BuildRequires:  pkgconfig(gtksourceview-2.0)
# for the testsuite
BuildRequires:  perl(Test::More)
BuildRequires:  Xvfb xauth

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Perl bindings for the C library "libgtksourceview2" that extends the
standard GTK+ framework for multiline text editing with support for
configurable syntax highlighting, unlimited undo/redo, UTF-8 compliant
caseless searching, printing and other features typical of a source
code editor.


%prep
%setup -q -n %{srcname}-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} %{buildroot}/*
chmod a-x examples/*


%check
xvfb-run -a -w 1 make test


%files
%doc README Changes examples
%license COPYING
%{perl_vendorarch}/*
# not needed at runtime
%exclude %{perl_vendorarch}/Gtk2/SourceView2/Install
%{_mandir}/man3/*.3*


%changelog
* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 0.10-20
- Perl 5.30 rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 30 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.10-17
- Perl 5.28 rebuild

* Sun Mar 25 2018 Thomas Moschny <thomas.moschny@gmx.de> - 0.10-16
- Add BRs on make, gcc, and findutils.

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jun 07 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.10-12
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Aug 11 2016 Thomas Moschny <thomas.moschny@gmx.de> - 0.10-10
- Use %%srcname macro.

* Thu Aug 11 2016 Thomas Moschny <thomas.moschny@gmx.de> - 0.10-9
- Tag COPYING with %%licence.

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.10-8
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.10-5
- Perl 5.22 rebuild

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.10-4
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Sep  5 2013 Thomas Moschny <thomas.moschny@gmx.de> - 0.10-1
- initial rpm release (#1004913)
